import { AppBit } from '@o/kit';
import { MethodOptions } from 'googleapis-common';
declare const _default: (app: AppBit<any>) => {
    createDraft(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Draft>>;
    deleteDraft(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<void>>;
    getDraft(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Draft>>;
    listDrafts(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$ListDraftsResponse>>;
    sendDraft(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    updateDraft(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Draft>>;
    getProfile(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Profile>>;
    historyList(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$ListHistoryResponse>>;
    createLabel(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Label>>;
    deleteLabel(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<void>>;
    getLabel(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Label>>;
    listLabel(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$ListLabelsResponse>>;
    patchLabel(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Label>>;
    updateLabel(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Label>>;
    getMessageAttachements(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$MessagePartBody>>;
    batchDeleteMessages(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<void>>;
    batchModifyMessages(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<void>>;
    deleteMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<void>>;
    getMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    importMessages(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    insertMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    listMessages(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$ListMessagesResponse>>;
    modifyMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    sendMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    trashMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    untrashMessage(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Message>>;
    deleteThread(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<void>>;
    getThread(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Thread>>;
    listThreads(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$ListThreadsResponse>>;
    modifyThread(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Thread>>;
    trashThread(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Thread>>;
    untrashThread(params?: any, options?: MethodOptions): Promise<import("gaxios").GaxiosResponse<import("googleapis").gmail_v1.Schema$Thread>>;
};
export default _default;
